package com.microservices.pms.product.domain.vo;

import com.microservices.common.core.utils.bean.BeanUtils;
import com.microservices.pms.product.domain.PmsProductModule;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 产品模块输入对象
 *
 * @author otto
 * @date 2023-10-10
 */
@Data
@ApiModel("产品模块搜索对象")
public class PmsProductModuleSearchVo
{
    /** 关联产品标识 */
    @ApiModelProperty(value = "关联产品标识")
    @NotNull
    private String pmsProductIdentifier;
    public PmsProductModule toPmsProductModule(){
        PmsProductModule target = new PmsProductModule();
        BeanUtils.copyProperties(this, target);
        return target;
    }
}
